package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * @author wcz
 * @date 2020/1/17
 * @description 维保计划请求model
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtPlanRequest extends BaseRequestModel {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 维保工id
     */
    private Long workerId;
    /**
     * 计划开始时间
     */
    private LocalDate planBegin;
    /**
     * 计划结束时间
     */
    private LocalDate planEnd;
    /**
     * 执行时间
     */
    private LocalDate workDate;
    /**
     * 公司id
     */
    private Long mtCompanyId;
}
