package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wcz
 * @date 2020/1/17
 * @description 保养计划返回
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtPlanResponse extends MaintenancePlan {

    /**
     * 电梯编号
     */
    private String liftCode;

    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 项目名
     */
    private String projectName;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 电梯主要负责人
     */
    private String workerName;
}
